'''
Copyright (C) 2022 JOSECONSCO
Created by JOSECONSCO

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''
import bpy
from .update_addon import addon_name_lowercase

class VpsPreferences(bpy.types.AddonPreferences):
    bl_idname = addon_name_lowercase()

    # tabs: bpy.props.EnumProperty(name="Tabs", items=[("UPDATE", "Update", ""),
    #                                                  ("OPTIONS", "Options", ""),
    #                                                 ], default="UPDATE")
    update_exist: bpy.props.BoolProperty(name="Update Exist", description="There is new GroupPro update",  default=False)
    update_text: bpy.props.StringProperty(name="Update text",  default='')



    def draw(self, context):
        layout = self.layout
        row = layout.row(align=True)

        # row.prop(self, "tabs", expand=True)
        box = layout.box()
        # if self.tabs == "UPDATE":
        col = box.column()
        sub_row = col.row(align=True)
        sub_row.operator(addon_name_lowercase()+".check_for_update")
        split_lines_text = self.update_text.splitlines()
        for line in split_lines_text:
            sub_row = col.row(align=True)
            sub_row.label(text=line)
        sub_row.separator()
        sub_row = col.row(align=True)
        if self.update_exist:
            sub_row.operator(addon_name_lowercase()+".update_addon", text='Install latest version').reinstall = False
        else:
            sub_row.operator(addon_name_lowercase()+".update_addon", text='Reinstall current version').reinstall = True
        sub_row.operator(addon_name_lowercase()+".rollback_addon")

        # elif self.tabs == "OPTIONS":
        #     col = box.column()
        #     col.label(text="Tab Category:")
        #     col.prop(self, "category", text="")


class VPS_PropertyGroup(bpy.types.PropertyGroup):
    smooth_mask: bpy.props.StringProperty(name='Mask Vertex Group', description = 'Vertex Group to mask smoothing', default='')
    invert_mask: bpy.props.BoolProperty(name='Invert Mask', description = 'Invert Mask', default=False)
